| Flutter Impeller |

Classes | Public Member Functions | Static Public Member Functions | Friends | List of all members
impeller::HandleGLES Class Reference

Represents a handle to an underlying OpenGL object. Unlike OpenGL object handles, these handles can be collected on any thread as long as their destruction is scheduled in a reactor. More...

`#include <handle_gles.h>`

## Classes
struct | Equal
| A comparer used to test the equality of two handles. More...
struct | Hash
| Get the hash value of this handle. Handles can be used as map keys. More...

## Public Member Functions
constexpr bool | IsDead () const
| Determines if the handle is dead. More...
HandleType | GetType () const
const std::optional< UniqueID > & | GetName () const
std::size_t | GetHash () const

## Static Public Member Functions
static HandleGLES | DeadHandle ()
| Creates a dead handle. More...

## Friends
class | ReactorGLES

## Detailed Description

Represents a handle to an underlying OpenGL object. Unlike OpenGL object handles, these handles can be collected on any thread as long as their destruction is scheduled in a reactor.

Definition at line 42 of file handle_gles.h.

## Member Function Documentation

## ◆ DeadHandle()

static HandleGLES impeller::HandleGLES::DeadHandle | ( |  | ) |
| inlinestatic

Creates a dead handle.

Returns
  The handle.

Definition at line 49 of file handle_gles.h.

49 {
50 return HandleGLES{HandleType::kUnknown, std::nullopt};
51 }
impeller::HandleType::kUnknown
@ kUnknown

References impeller::kUnknown.

Referenced by impeller::ReactorGLES::CreateHandle(), and impeller::TextureGLES::Leak().

## ◆ GetHash()

std::size_t impeller::HandleGLES::GetHash | ( |  | ) | const
| inline

Definition at line 81 of file handle_gles.h.

81 { return hash_; }

Referenced by impeller::HandleGLES::Hash::operator()().

## ◆ GetName()

const std::optional<UniqueID>& impeller::HandleGLES::GetName | ( |  | ) | const
| inline

Definition at line 80 of file handle_gles.h.

80 { return name_; }

Referenced by std::operator<<().

## ◆ GetType()

HandleType impeller::HandleGLES::GetType | ( |  | ) | const
| inline

Definition at line 79 of file handle_gles.h.

79 { return type_; }

Referenced by impeller::ReactorGLES::GetGLFence(), impeller::ReactorGLES::GetGLHandle(), std::operator<<(), impeller::ReactorGLES::SetDebugLabel(), and impeller::TextureGLES::WrapTexture().

## ◆ IsDead()

constexpr bool impeller::HandleGLES::IsDead | ( |  | ) | const
| inlineconstexpr

Determines if the handle is dead.

Returns
  True if dead, False otherwise.

Definition at line 58 of file handle_gles.h.

58 { return !name_.has_value(); }

Referenced by impeller::ReactorGLES::CollectHandle(), impeller::EncodeCommandsInReactor(), impeller::UniqueHandleGLES::IsValid(), std::operator<<(), impeller::ReactorGLES::RegisterCleanupCallback(), impeller::ReactorGLES::SetDebugLabel(), impeller::testing::TEST(), impeller::TextureGLES::WrapTexture(), impeller::TextureGLES::~TextureGLES(), and impeller::UniqueHandleGLES::~UniqueHandleGLES().

## Friends And Related Function Documentation

## ◆ ReactorGLES

friend class ReactorGLES
| friend

Definition at line 90 of file handle_gles.h.

The documentation for this class was generated from the following file:

- impeller/renderer/backend/gles/handle_gles.h